Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner
Class GetDescendantConceptsTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractSingleConceptWithConceptCollectionResultTask
              edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.GetDescendantConceptsTask

All Implemented Interfaces:
  CollectionResultReasonerTask, ReasonerTask

    public class GetDescendantConceptsTask

extends AbstractSingleConceptWithConceptCollectionResultTask

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 17, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`GetDescendantConceptsTask(OWLClass aClass, ProtegeOWLReasoner protegeOWLReasoner)`

Method Summary
`void` | `createQuery(Document doc)` This method must be implemented by concrete subclasses.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractSingleConceptWithConceptCollectionResultTask
`getCls, getProtegeOWLReasoner, getResult, getTaskSize, run`

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, getTranslator, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setRequestAbort, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.protegeowl.task.ReasonerTask
`addTaskListener, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, removeTaskListener, setRequestAbort`

Constructor Detail

### GetDescendantConceptsTask

    public GetDescendantConceptsTask(OWLClass aClass,
                                     ProtegeOWLReasoner protegeOWLReasoner)

Method Detail

### createQuery

    public void createQuery(Document doc)
                     throws DIGReasonerException

  Description copied from class: `AbstractSingleConceptWithConceptCollectionResultTask`
  This method must be implemented by concrete subclasses. It will be called by the run method in order to generate the DIGQuery.

  Specified by:
    `createQuery` in class `AbstractSingleConceptWithConceptCollectionResultTask`
  Parameters:
    `doc` - The base `Document` for the query.
  Throws:
    `DIGReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.